- name: Create Forge group
  group:
    name: forge
    system: yes
- name: Add user to Forge group
  user:
    name: "{{ username }}"
    append: true
    groups:
      - forge

- import_tasks: package.yml
- import_tasks: data.yml
- import_tasks: scripts.yml
- import_tasks: configuration.yml
- import_tasks: nginx.yml

- import_tasks: "{{ playbook_dir }}/tasks/systemd_overlay.yml"
- name: Enable services
  systemd:
    name: "{{ item }}"
    enabled: true
    masked: false
  loop:
    - forge-update.timer
    - forge-acquisition-bus.socket
    - forge-acquisition-eventlog.service
    - forge-acquisition.service
    - forge-acquisition-uplink-local.service
    - forge-acquisition-uplink-tunnel.service
    - forge-transfer-incoming.timer
    - forge-transfer-incoming.path
    - forge-transfer-data.timer
    - forge-transfer-data.path
    - forge-dashboard.socket
    - forge-vis.socket
    - forge-vis-acquisition.socket
    - forge-vis-realtime.socket
    - forge-vis-export.socket

- name: Enable continuous telemetry
  when: telemetry_level|int >= 1
  systemd:
    name: forge-telemetry-uplink.service
    enabled: true
    masked: false
- name: Enable one-shot telemetry
  when: not (telemetry_level|int >= 1)
  systemd:
    name: forge-telemetry-oneshot.timer
    enabled: true
    masked: false

- name: Enable automatic tunnel
  when: automatic_tunnel|bool
  systemd:
    name: forge-telemetry-tunnel.service
    enabled: true
    masked: false

- name: Enable acquisition uplink
  when: acquisition_uplink|int >= 1
  systemd:
    name: forge-acquisition-uplink-remote.service
    enabled: true
    masked: false
